Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161373 - NFS daemon enters uninterruptible sleep state
Summary: NFS daemon enters uninterruptible sleep state
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 3
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-22 18:27 UTC by Stuart Bailey
Modified: 2015-01-04 22:20 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-08 00:17:24 UTC


Attachments (Terms of Use)

Description Stuart Bailey 2005-06-22 18:27:56 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.8) Gecko/20050511 Firefox/1.0.4 SUSE/1.0.4-1.1

Description of problem:
NFS Servber 'crashed' resulting in power-down / rebott / repair FS etc.
/var/log/messages entry reports a kernel bug:

Jun 22 09:19:07 kelvin kernel:  ------------[ cut here ]------------
Jun 22 09:19:07 kelvin kernel: kernel BUG at include/asm/spinlock.h:207!
Jun 22 09:19:07 kelvin kernel: invalid operand: 0000 [#2]
Jun 22 09:19:07 kelvin kernel: SMP
Jun 22 09:19:07 kelvin kernel: Modules linked in: smbfs ipt_DSCP iptable_nat ip_conntrack iptable_mangle iptable_filter ip_tables nfsd exportfs lockd md5 ipv6 parport_pc lp parport autofs4 i2c_dev i2c_core sunrpc button battery ac ohci_hcdehci_hcd snd_intel8x0 snd_ac97_codec snd_pcm_oss snd_mixer_oss snd_pcm snd_timer snd_page_alloc gameport snd_mpu401_uart snd_rawmidi snd_seq_device snd soundcore dmfe tulip floppy st ext3 jbd dm_mod aic7xxx sd_mod scsi_mod
Jun 22 09:19:07 kelvin kernel: CPU:    0
Jun 22 09:19:07 kelvin kernel: EIP:    0060:[<022b8089>]    Not tainted VLI
Jun 22 09:19:07 kelvin kernel: EFLAGS: 00010217   (2.6.9-1.667smp)
Jun 22 09:19:07 kelvin kernel: EIP is at _write_lock+0x9/0x20
Jun 22 09:19:07 kelvin kernel: eax: 20573540   ebx: 20573548   ecx: 1c322400   edx: 02189030
Jun 22 09:19:07 kelvin kernel: esi: 20573548   edi: 205734b8   ebp: 20573540   esp: 20128bdc
Jun 22 09:19:07 kelvin kernel: ds: 007b   es: 007b   ss: 0068
Jun 22 09:19:07 kelvin kernel: Process nfsd (pid: 7845, threadinfo=20128000 task=1cc8ac90)
Jun 22 09:19:07 kelvin kernel: Stack: 021890bd 20573548 20573548 20573548 00000000 1bca8474 02169c92 1c3223dc
Jun 22 09:19:07 kelvin kernel:        02167ef3 20573548 21fcf600 00000000 1bca8474 0218a98b 00000000 1dcea680
Jun 22 09:19:07 kelvin kernel:        071b9580 2285c4a5 00000000 00000020 00000100 20128c50 00000002 022ca263
Jun 22 09:19:07 kelvin kernel: Call Trace:
Jun 22 09:19:07 kelvin kernel:  [<021890bd>] ext2_discard_prealloc+0x1c/0x5b
Jun 22 09:19:07 kelvin kernel:  [<02169c92>] iput+0x30/0x61
Jun 22 09:19:07 kelvin kernel:  [<02167ef3>] d_alloc_anon+0x18/0xee
Jun 22 09:19:07 kelvin kernel:  [<0218a98b>] ext2_get_parent+0x69/0x82
Jun 22 09:19:07 kelvin kernel:  [<2285c4a5>] __clone_and_map+0xc0/0x2c3 [dm_mod]
Jun 22 09:19:07 kelvin kernel:  [<022b7b17>] __cond_resched+0x14/0x39
Jun 22 09:19:07 kelvin kernel:  [<02167e43>] d_alloc+0x197/0x1a1
Jun 22 09:19:07 kelvin kernel:  [<02167fac>] d_alloc_anon+0xd1/0xee
Jun 22 09:19:07 kelvin kernel:  [<229c4303>] find_exported_dentry+0x303/0x5e8 [exportfs]
Jun 22 09:19:07 kelvin kernel:  [<0226645e>] skb_copy_datagram_iovec+0x4f/0x1e1
Jun 22 09:19:07 kelvin kernel:  [<022641b2>] release_sock+0xf/0x4f
Jun 22 09:19:07 kelvin kernel:  [<02285bf7>] tcp_recvmsg+0x64a/0x681
Jun 22 09:19:07 kelvin kernel:  [<022642d1>] sock_common_recvmsg+0x30/0x46
Jun 22 09:19:07 kelvin kernel:  [<022613a6>] sock_recvmsg+0xef/0x10c
Jun 22 09:19:07 kelvin kernel:  [<0226126f>] sock_sendmsg+0xdb/0xf7
Jun 22 09:19:07 kelvin kernel:  [<0213ccac>] __rmqueue+0xc1/0x10c
Jun 22 09:19:07 kelvin kernel:  [<0211b232>] recalc_task_prio+0x128/0x133
Jun 22 09:19:07 kelvin kernel:  [<0211b2c5>] activate_task+0x88/0x95
Jun 22 09:19:07 kelvin kernel:  [<0211b74b>] try_to_wake_up+0x222/0x22d
Jun 22 09:19:07 kelvin kernel:  [<0211cc07>] __wake_up_common+0x36/0x51
Jun 22 09:19:07 kelvin kernel:  [<0211cc4b>] __wake_up+0x29/0x3c
Jun 22 09:19:07 kelvin kernel:  [<229eb8d2>] svc_sock_enqueue+0x1d6/0x212 [sunrpc]
Jun 22 09:19:07 kelvin kernel:  [<229ec85d>] svc_tcp_recvfrom+0x304/0x376 [sunrpc]
Jun 22 09:19:07 kelvin kernel:  [<22adade1>] svc_expkey_lookup+0x1fc/0x330 [nfsd]
Jun 22 09:19:07 kelvin kernel:  [<022b7b17>] __cond_resched+0x14/0x39
Jun 22 09:19:07 kelvin kernel:  [<229c488e>] export_decode_fh+0x61/0x6d [exportfs]
Jun 22 09:19:07 kelvin kernel:  [<22ad68a0>] nfsd_acceptable+0x0/0xba [nfsd]
Jun 22 09:19:07 kelvin kernel:  [<229c482d>] export_decode_fh+0x0/0x6d [exportfs]
Jun 22 09:19:07 kelvin kernel:  [<22ad6ce4>] fh_verify+0x38a/0x4fd [nfsd]
Jun 22 09:19:07 kelvin kernel:  [<22ad68a0>] nfsd_acceptable+0x0/0xba [nfsd]
Jun 22 09:19:07 kelvin kernel:  [<22adee26>] nfsd3_proc_getattr+0x6f/0x77 [nfsd]
Jun 22 09:19:07 kelvin kernel:  [<22ae0a02>] nfs3svc_decode_fhandle+0x0/0x8d [nfsd]
Jun 22 09:19:07 kelvin kernel:  [<22ad55d7>] nfsd_dispatch+0xba/0x16f [nfsd]
Jun 22 09:19:07 kelvin kernel:  [<229eb446>] svc_process+0x420/0x6d6 [sunrpc]
Jun 22 09:19:07 kelvin kernel:  [<22ad53b7>] nfsd+0x1cc/0x332 [nfsd]
Jun 22 09:19:07 kelvin kernel:  [<22ad51eb>] nfsd+0x0/0x332 [nfsd]
Jun 22 09:19:07 kelvin kernel:  [<021041f1>] kernel_thread_helper+0x5/0xb
Jun 22 09:19:07 kelvin kernel: Code: b9 2c 02 e8 df 80 e6 ff 58 5a 0f 0b 85 00 49 ab 2c 02 f0 fe 0b 79 09 f3 90 80 3b 00 7e f9 eb f2 5b c3 81 78 04 ed 1e af de74 08 <0f> 0b cf 00 49 ab 2c 02 f0 81 28 00 00 00 01 74 05 e8 8d ee ff


Version-Release number of selected component (if applicable):
2.6.9-1.667smp

How reproducible:
Didn't try

Steps to Reproduce:
1.reboot
2.wait
3.
  

Additional info:

An ls -R of the directory exported by nfs also put the ls process in 'D' state as reported by ps ax.

Comment 1 Dave Jones 2005-07-08 00:17:24 UTC
Please try to repeat this on a more up to date kernel.  There are around 4000
changes in each upstream release. The current FC3 update kernel is on 2.6.11,
which puts you quite a way behind.

Any future fixing will happen on the latest kernel, not on 2.6.9.

So, please update, and reopen if it reoccurs on a current update kernel.



Note You need to log in before you can comment on or make changes to this bug.